#include "FrameL.h"

typedef struct FrSegList FrSegList;
 
struct FrSegList {
  char *name;   /* segment list name (file name usually) */
  FrVect *tStart; /* starting time  */
  FrVect *tEnd;   /* end time  */
  FrSegList *next; /* to easily build a linked list */
};


int        FrSegListAdd      (FrSegList *segList, double tStart, double tEnd);
FrVect*    FrSegListBuildVect(FrSegList *segList, double tStart, 
                                                  double length, int nData);
double     FrSegListCoverage (FrSegList *segList, double gtime, double dt);
int        FrSegListDump     (FrSegList *segList, FILE *fp, int debugLvl);
int        FrSegListFind     (FrSegList *segList, double gtime);
int        FrSegListFindFirst(FrSegList *segList, double gtime, double dt);
void       FrSegListFree     (FrSegList *segList);
FrSegList* FrSegListIntersect(FrSegList *list1, FrSegList* list2);
FrSegList *FrSegListNew(char *name);
int        FrSegListPrint    (FrSegList *segList, char *fileName);
FrSegList* FrSegListRead(char *fileName);
int        FrSegListShrink   (FrSegList *segList, double tStart, double tEnd);
